Page MenuHomePhabricator

[BUG] refresh links job failing with: Call to a member function getName() on a non-object (null)
Closed, ResolvedPublicBUG REPORT

Description

error message:

type":"BadMethodCallException","file":"/srv/mediawiki/php-1.28.0-wmf.22/extensions/EventBus/EventBus.hooks.php","line":49,"message":"Call to a member function getName() on a non-object (null)","code":0,"url":"/rpc/RunJobs

All on commonswiki, so most likely related to T145569

Event Timeline

Matanya created this task.Oct 12 2016, 9:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 12 2016, 9:59 PM

This should fix it: https://gerrit.wikimedia.org/r/#/c/315575/

The plan is to get it reviewed EU time tomorrow and SWATed no later then Morning SF SWAT.

In case that plan doesn't work out, we have a plan B safer patches:
https://gerrit.wikimedia.org/r/#/c/315567/
https://gerrit.wikimedia.org/r/#/c/315568/

Change 315575 had a related patch set uploaded (by Mobrovac):
ApiPurge: Set the triggering user for the LinksUpdate

https://gerrit.wikimedia.org/r/315575

mobrovac assigned this task to Pchelolo.Oct 13 2016, 7:11 AM

Gerrit 315575 is looking good. I will put it up for Euro-SWAT today.

mobrovac triaged this task as High priority.Oct 13 2016, 7:12 AM
mobrovac added a project: User-mobrovac.

Change 315575 merged by jenkins-bot:
ApiPurge: Set the triggering user for the LinksUpdate

https://gerrit.wikimedia.org/r/315575

Change 315634 had a related patch set uploaded (by Mobrovac):
ApiPurge: Set the triggering user for the LinksUpdate

https://gerrit.wikimedia.org/r/315634

Change 315634 merged by jenkins-bot:
ApiPurge: Set the triggering user for the LinksUpdate

https://gerrit.wikimedia.org/r/315634

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2016-10-13T13:19:11Z] <hashar@mira> Synchronized php-1.28.0-wmf.22/includes/api/ApiPurge.php: ApiPurge: Set the triggering user for the LinksUpdate T147516 T147977 (duration: 00m 52s)

Change 315696 had a related patch set uploaded (by Ppchelko):
Don't set the performer property if the user is not available.

https://gerrit.wikimedia.org/r/315696

Change 315696 merged by jenkins-bot:
Don't set the performer property if the user is not available.

https://gerrit.wikimedia.org/r/315696

Mentioned in SAL (#wikimedia-operations) [2016-10-13T18:10:10Z] <thcipriani@mira> Synchronized php-1.28.0-wmf.22/extensions/EventBus/EventBus.hooks.php: SWAT: [[gerrit:315696|Do not set the performer property if the user is not available. (T147977)]] (duration: 01m 38s)

Pchelolo closed this task as Resolved.Oct 13 2016, 7:05 PM

Resolved with todays SWAT deploy

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM
Restricted Application changed the subtype of this task from "Production Error" to "Bug Report". · View Herald Transcript